.dynamic-chat-field {
  color: white;
  font-size: 14px;
}
.dynamic-chat-field .title-section {
  padding: 5px 0;
  border-left: 3px solid goldenrod;
  background-color: rgba(255, 215, 0, 0.1);
}
.dynamic-chat-field .title-section .circle-shadow {
  margin-top: 3px;
  width: 65%;
  border-radius: 200px;
  box-shadow: 0px 0px 0px 5px #2296cf;
  transition: all 0.5s;
}
.dynamic-chat-field .title-section .circle-shadow:hover, .dynamic-chat-field .title-section img.circle:hover {
  border-radius: 0;
  box-shadow: none;
}
.dynamic-chat-field .title-section .badge-info {
  font-weight: 700;
  font-family: "Kalam";
  position: relative;
  top: -3px;
}
.dynamic-chat-field .title-section .circle-shadow-2 {
  margin-top: 0.5rem;
  margin-left: 1rem;
  width: 35px;
  height: 35px;
  border-radius: 200px;
  box-shadow: 0px 0px 0px 5px #2296cf;
  transition: all 0.5s;
}
.dynamic-chat-field .dynamic-message-wrapper {
  overflow-y: auto;
  overflow-x: hidden;
  height: 57.5vh;
  position: relative;
}
.dynamic-chat-field .dynamic-message-wrapper .dynamic-message {
  padding: 5px 0;
}
.dynamic-chat-field .dynamic-message-wrapper .justify-content-start .card {
  background-color: transparent;
}
.dynamic-chat-field .dynamic-message-wrapper .justify-content-start .card .card-body {
  padding: 0;
  padding-bottom: 0.25rem;
}
.dynamic-chat-field .dynamic-message-wrapper .user-reply {
  padding-bottom: 10px;
}
.dynamic-chat-field .dynamic-message-wrapper .user-reply p {
  font-weight: bold;
  font-size: 14px;
  margin-bottom: 0;
}
.dynamic-chat-field .dynamic-user-options .select-option {
  left: 28.33em;
  right: 28.33em;
  bottom: 8em;
}
.dynamic-chat-field .dynamic-user-options .select-option .list-group-item {
  background-color: #374150;
  padding: 7px 5px;
  color: white;
}
.dynamic-chat-field .dynamic-user-options .select-option .list-group-item:hover {
  background-color: #5d5d63;
}
.dynamic-chat-field .typing-animation .typing {
  margin-bottom: 0 !important;
}
.dynamic-chat-field .typing-animation .typing-time {
  color: #9880ff;
  font-family: "Kalam";
}
.dynamic-chat-field .typing-animation .dot-pulse {
  position: relative;
  left: -9999px;
  width: 10px;
  height: 10px;
  border-radius: 5px;
  background-color: #9880ff;
  color: #9880ff;
  box-shadow: 9999px 0 0 -5px #9880ff;
  -webkit-animation: dotPulse 1.5s infinite linear;
          animation: dotPulse 1.5s infinite linear;
  -webkit-animation-delay: 0.25s;
          animation-delay: 0.25s;
  margin-left: 25px;
  top: 6px;
}
.dynamic-chat-field .typing-animation .dot-pulse::before, .dynamic-chat-field .typing-animation .dot-pulse::after {
  content: "";
  display: inline-block;
  position: absolute;
  top: 0;
  width: 10px;
  height: 10px;
  border-radius: 5px;
  background-color: #9880ff;
  color: #9880ff;
}
.dynamic-chat-field .typing-animation .dot-pulse::before {
  box-shadow: 9984px 0 0 -5px #9880ff;
  -webkit-animation: dotPulseBefore 1.5s infinite linear;
          animation: dotPulseBefore 1.5s infinite linear;
  -webkit-animation-delay: 0s;
          animation-delay: 0s;
}
.dynamic-chat-field .typing-animation .dot-pulse::after {
  box-shadow: 10014px 0 0 -5px #9880ff;
  -webkit-animation: dotPulseAfter 1.5s infinite linear;
          animation: dotPulseAfter 1.5s infinite linear;
  -webkit-animation-delay: 0.5s;
          animation-delay: 0.5s;
}
@-webkit-keyframes dotPulseBefore {
  0% {
    box-shadow: 9984px 0 0 -5px #9880ff;
  }
  30% {
    box-shadow: 9984px 0 0 2px #9880ff;
  }
  60%, 100% {
    box-shadow: 9984px 0 0 -5px #9880ff;
  }
}
@keyframes dotPulseBefore {
  0% {
    box-shadow: 9984px 0 0 -5px #9880ff;
  }
  30% {
    box-shadow: 9984px 0 0 2px #9880ff;
  }
  60%, 100% {
    box-shadow: 9984px 0 0 -5px #9880ff;
  }
}
@-webkit-keyframes dotPulse {
  0% {
    box-shadow: 9999px 0 0 -5px #9880ff;
  }
  30% {
    box-shadow: 9999px 0 0 2px #9880ff;
  }
  60%, 100% {
    box-shadow: 9999px 0 0 -5px #9880ff;
  }
}
@keyframes dotPulse {
  0% {
    box-shadow: 9999px 0 0 -5px #9880ff;
  }
  30% {
    box-shadow: 9999px 0 0 2px #9880ff;
  }
  60%, 100% {
    box-shadow: 9999px 0 0 -5px #9880ff;
  }
}
@-webkit-keyframes dotPulseAfter {
  0% {
    box-shadow: 10014px 0 0 -5px #9880ff;
  }
  30% {
    box-shadow: 10014px 0 0 2px #9880ff;
  }
  60%, 100% {
    box-shadow: 10014px 0 0 -5px #9880ff;
  }
}
@keyframes dotPulseAfter {
  0% {
    box-shadow: 10014px 0 0 -5px #9880ff;
  }
  30% {
    box-shadow: 10014px 0 0 2px #9880ff;
  }
  60%, 100% {
    box-shadow: 10014px 0 0 -5px #9880ff;
  }
}
.dynamic-chat-field .sound-icon .s-icon {
  color: white;
  font-size: 1.7rem;
  float: right;
}

::webkit-scrollbar-thumb {
  border-radius: 10px;
  background-image: -webkit-gradient(linear, left bottom, left top, color-stop(0.44, #7a99d9), color-stop(0.72, #497dbd), color-stop(0.86, #1c3a94));
}

.center {
  margin: auto;
}

@media (max-width: 991.98px) {
  .dynamic-chat-field {
    color: white;
    font-size: 14px;
  }
  .dynamic-chat-field .title-section .circle-shadow {
    margin-top: 0.6rem;
    width: 100%;
  }
  .dynamic-chat-field .title-section .col-md-1 {
    padding-right: 15px !important;
  }
  .dynamic-chat-field .title-section .user_reply {
    padding-left: 20px !important;
  }
  .dynamic-chat-field .typing-animation .col-typing-wrapper {
    margin-top: 4px;
  }
}
@media (max-width: 767.98px) {
  .dynamic-chat-field {
    color: white;
    font-size: 14px;
  }
  .dynamic-chat-field .title-section .circle-shadow {
    margin-top: 3px;
    width: 68%;
  }
  .dynamic-chat-field .title-section .user_reply {
    padding-left: 20px !important;
  }
  .dynamic-chat-field .typing-animation .col-typing-wrapper {
    margin-top: 4px;
  }
  .dynamic-chat-field .title-left {
    padding-right: 0;
  }
  .dynamic-chat-field .title-left h4 {
    font-size: 1.2rem;
  }
  .dynamic-chat-field .title-mid .center {
    float: left !important;
  }
}
@media (max-width: 575.98px) {
  .dynamic-chat-field .title-left h4 {
    font-size: 1.1rem;
  }
  .dynamic-chat-field .title-section .circle-shadow {
    margin-top: 3px;
    width: 99%;
  }
  .dynamic-chat-field .d-block .typing-xs, .dynamic-chat-field .d-sm-none .typing-xs {
    height: 20px;
  }
  .dynamic-chat-field .top-title {
    margin-top: 2.7rem;
  }
  .dynamic-chat-field .dynamic-message-wrapper {
    padding-left: 10px;
    padding-right: 10px;
  }
}
